---
title: Read matches for logo queries by ID
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Brand Protection](https://developers.cloudflare.com/api/python/resources/brand_protection)

[Logo Matches](https://developers.cloudflare.com/api/python/resources/brand_protection/subresources/logo_matches)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Read matches for logo queries by ID

brand\_protection.logo\_matches.get(LogoMatchGetParams\*\*kwargs) -> [LogoMatchGetResponse](<https://developers.cloudflare.com/api/python/resources/brand_protection#(resource)%20brand_protection.logo_matches%20%3E%20(model)%20logo_match_get_response%20%3E%20(schema)>)

GET/accounts/{account\_id}/brand-protection/logo-matches

Return matches for logo queries based on ID

##### Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. [Create a token](https://developers.cloudflare.com/fundamentals/api/get-started/create-token/).

**Example:**`Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY`

##### Accepted Permissions (at least one required)

`Intel Write``Intel Read`

##### ParametersExpand Collapse

account\_id: str

minLength1

[Link to this property](<#(resource)%20brand_protection.logo_matches%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

limit: Optional\[str]

[Link to this property](<#(resource)%20brand_protection.logo_matches%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20limit%20%3E%20(schema)>)

logo\_id: Optional\[Sequence\[str]]

[Link to this property](<#(resource)%20brand_protection.logo_matches%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20logo_id%20%3E%20(schema)>)

offset: Optional\[str]

[Link to this property](<#(resource)%20brand_protection.logo_matches%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20offset%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class LogoMatchGetResponse: …

</summary>

matches: Optional\[List\[Dict\[str, object]]]

<a href="#(resource)%20brand_protection.logo_matches%20%3E%20(model)%20logo_match_get_response%20%3E%20(schema)%20%3E%20(property)%20matches">Link to this property</a>

total: Optional\[int]

<a href="#(resource)%20brand_protection.logo_matches%20%3E%20(model)%20logo_match_get_response%20%3E%20(schema)%20%3E%20(property)%20total">Link to this property</a>

</details>

[Link to this property](<#(resource)%20brand_protection.logo_matches%20%3E%20(model)%20logo_match_get_response%20%3E%20(schema)>)

### Read matches for logo queries by ID

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
logo_match = client.brand_protection.logo_matches.get(
    account_id="x",
)
print(logo_match.matches)
```

200 example

```
{
  "matches": [
    {
      "foo": "bar"
    }
  ],
  "total": 0
}
```

##### Returns Examples

200 example

```
{
  "matches": [
    {
      "foo": "bar"
    }
  ],
  "total": 0
}
```